Page MenuHomePhabricator

[Process/elf-core] Read PID from FreeBSD prpsinfo
ClosedPublic

Authored by mgorny on May 5 2021, 4:09 AM.

Details

Summary

Add a function to read NT_PRPSINFO note from FreeBSD core dumps. This
is necessary to get the process ID (NT_PRSTATUS has only thread ID).
Move the lp64 check from NT_PRSTATUS parsing to the parseFreeBSDNotes()
to avoid repeating it.

Diff Detail

Event Timeline

mgorny created this revision.May 5 2021, 4:09 AM
mgorny requested review of this revision.May 5 2021, 4:09 AM
krytarowski accepted this revision.May 11 2021, 3:25 PM
This revision is now accepted and ready to land.May 11 2021, 3:25 PM
emaste accepted this revision.May 11 2021, 5:57 PM
This revision was landed with ongoing or failed builds.May 12 2021, 2:52 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMay 12 2021, 2:52 AM